Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:25 2009

## Asterisk developer's documentation

# agent_pvt Struct Reference

Collaboration diagram for agent_pvt:

[legend]

## Data Fields

int | abouttograb
int | ackcall
int | acknowledged
char | agent [AST_MAX_AGENT]
ast_mutex_t | app_lock
volatile int | app_sleep_cond
int | autologoff
struct ast_channel * | chan
int | dead
ast_group_t | group
struct timeval | lastdisc
ast_mutex_t | lock
char | logincallerid [80]
char | loginchan [80]
time_t | loginstart
char | moh [80]
char | name [AST_MAX_AGENT]
struct agent_pvt * | next
struct ast_channel * | owner
volatile pthread_t | owning_app
char | password [AST_MAX_AGENT]
int | pending
time_t | start
int | wrapuptime

## Detailed Description

Structure representing an agent.

Definition at line 181 of file chan_agent.c.

## Field Documentation

int abouttograb

About to grab

Definition at line 185 of file chan_agent.c.

Referenced by agent_hangup(), check_availability(), and check_beep().

int ackcall

ackcall

Definition at line 187 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), add_agent(), agent_call(), agent_read(), and check_availability().

int acknowledged

Acknowledged

Definition at line 193 of file chan_agent.c.

Referenced by __login_exec(), action_agents(), agent_call(), agent_hangup(), agent_read(), agents_show(), and check_availability().

char agent[AST_MAX_AGENT]

Agent ID

Definition at line 195 of file chan_agent.c.

Referenced by __agent_start_monitoring(), __login_exec(), action_agent_callback_login(), action_agent_logoff(), action_agents(), add_agent(), agent_call(), agent_devicestate(), agent_hangup(), agent_logoff(), agent_logoff_cmd(), agent_new(), agent_request(), agentmonitoroutgoing_exec(), agents_show(), check_availability(), check_beep(), complete_agent_logoff_cmd(), dump_agents(), and reload_agents().

ast_mutex_t app_lock

Synchronization between owning applications

Definition at line 198 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), agent_cleanup(), agent_hangup(), agent_new(), and read_agent_config().

volatile int app_sleep_cond

Sleep condition for the login app

Definition at line 200 of file chan_agent.c.

Referenced by add_agent(), agent_ack_sleep(), agent_cleanup(), agent_cont_sleep(), agent_hangup(), and agent_new().

int autologoff

Auto timeout time

Definition at line 186 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), and agent_hangup().

struct ast_channel* chan`[read]`

Channel we use

Definition at line 204 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), action_agents(), agent_ack_sleep(), agent_bridgedchannel(), agent_call(), agent_devicestate(), agent_digit(), agent_hangup(), agent_indicate(), agent_logoff(), agent_new(), agent_read(), agent_request(), agent_sendhtml(), agent_sendtext(), agent_write(), agents_show(), check_availability(), check_beep(), dump_agents(), and read_agent_config().

int dead

Poised for destruction?

Definition at line 183 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), agent_cleanup(), agent_hangup(), and read_agent_config().

ast_group_t group

Group memberships

Definition at line 192 of file chan_agent.c.

Referenced by add_agent(), agent_devicestate(), agent_request(), agents_show(), check_availability(), and check_beep().

struct timeval lastdisc`[read]`

When last disconnected

Definition at line 190 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), agent_cont_sleep(), agent_hangup(), agent_read(), agent_request(), and agents_show().

ast_mutex_t lock

Channel private lock

Definition at line 182 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), action_agents(), add_agent(), agent_ack_sleep(), agent_call(), agent_cleanup(), agent_cont_sleep(), agent_devicestate(), agent_digit(), agent_fixup(), agent_hangup(), agent_indicate(), agent_new(), agent_read(), agent_request(), agent_sendhtml(), agent_sendtext(), agent_write(), agents_show(), check_availability(), check_beep(), read_agent_config(), and reload_agents().

char logincallerid[80]

Caller ID they had when they logged in

Definition at line 203 of file chan_agent.c.

Referenced by __login_exec(), agent_hangup(), agent_logoff(), dump_agents(), and reload_agents().

char loginchan[80]

channel they logged in from

Definition at line 202 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), action_agents(), agent_call(), agent_devicestate(), agent_hangup(), agent_logoff(), agent_new(), agent_read(), agent_request(), agents_show(), dump_agents(), and reload_agents().

time_t loginstart

When agent first logged in (0 when logged off)

Definition at line 188 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), action_agents(), agent_hangup(), agent_logoff(), and reload_agents().

char moh[80]

Which music on hold

Definition at line 194 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), agent_hangup(), and agents_show().

char name[AST_MAX_AGENT]

Definition at line 197 of file chan_agent.c.

Referenced by action_agents(), add_agent(), agent_hangup(), and agents_show().

struct agent_pvt* next`[read]`

Next Agent in the linked list.

Definition at line 205 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), action_agents(), add_agent(), agent_devicestate(), agent_logoff(), agent_request(), agent_unlink(), agentmonitoroutgoing_exec(), agents_show(), check_availability(), check_beep(), complete_agent_logoff_cmd(), dump_agents(), read_agent_config(), reload_agents(), and unload_module().

struct ast_channel* owner`[read]`

Agent

Definition at line 201 of file chan_agent.c.

Referenced by __login_exec(), action_agents(), agent_cleanup(), agent_devicestate(), agent_fixup(), agent_hangup(), agent_logoff(), agent_new(), agent_request(), agents_show(), check_availability(), check_beep(), read_agent_config(), and unload_module().

volatile pthread_t owning_app

Owning application thread id

Definition at line 199 of file chan_agent.c.

Referenced by __login_exec(), add_agent(), and agent_new().

char password[AST_MAX_AGENT]

Password for Agent login

Definition at line 196 of file chan_agent.c.

Referenced by __login_exec(), and add_agent().

int pending

Not a real agent -- just pending a match

Definition at line 184 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), add_agent(), agent_call(), agent_devicestate(), agent_hangup(), agent_new(), agent_request(), agents_show(), check_availability(), and check_beep().

time_t start

When call started

Definition at line 189 of file chan_agent.c.

Referenced by agent_call(), and agent_hangup().

int wrapuptime

Wrapup time in ms

Definition at line 191 of file chan_agent.c.

Referenced by __login_exec(), action_agent_callback_login(), add_agent(), agent_hangup(), and agent_read().

The documentation for this struct was generated from the following file:

- chan_agent.c